Package org.apache.tapestry5.internal.beaneditor

## Class ValidateAnnotationConstraintGenerator

- java.lang.Object
- - org.apache.tapestry5.internal.beaneditor.ValidateAnnotationConstraintGenerator

- All Implemented Interfaces:
    `ValidationConstraintGenerator`

      public class ValidateAnnotationConstraintGenerator
      extends java.lang.Object
      implements ValidationConstraintGenerator

  Checks for the `Validate` annotation, and extracts its value to form the result.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValidateAnnotationConstraintGenerator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<java.lang.String>` | `buildConstraints​(java.lang.Class propertyType, AnnotationProvider annotationProvider)` | For a given property, identify all the approprite validation constraints.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidateAnnotationConstraintGenerator

          public ValidateAnnotationConstraintGenerator()

  - ### Method Detail

    - #### buildConstraints

          public java.util.List<java.lang.String> buildConstraints​(java.lang.Class propertyType,
                                                                   AnnotationProvider annotationProvider)

      Description copied from interface: `ValidationConstraintGenerator`
      For a given property, identify all the approprite validation constraints. Each returned value is the name of a validator (i.e., "required") or a validator name and configuration (i.e., "minlength=5"). These contraints are exactly the individual terms in a `validate specification`. These will ultimately be used to create `FieldValidator`s for the field that edits the property.
      Specified by:
        `buildConstraints` in interface `ValidationConstraintGenerator`
      Parameters:
        `propertyType` - the type of the property for which constraints are needed
        `annotationProvider` - provides access to any annotations concerning the property (for implementations that are based on analysis of property annotations)
      Returns:
        a list of constraints
      See Also:
        `FieldValidatorSource`